--- debathena-finger-10.0.2.orig/debian/control
+++ debathena-finger-10.0.2/debian/control
@@ -0,0 +1,15 @@
+Source: debathena-finger
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs, autotools-dev, debhelper, autoconf, comerr-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev
+Standards-Version: 3.7.2
+
+Package: debathena-finger
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libzephyr4-krb5 | libzephyr3-krb
+Description: The Athena version of the normal finger utility
+ The finger command displays information about local and remote users in 
+ a convenient format.  The Athena version contains improvements to 
+ locate Athena users and knows about the Athena-specific user database 
+ features.
--- debathena-finger-10.0.2.orig/debian/compat
+++ debathena-finger-10.0.2/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-finger-10.0.2.orig/debian/control.in
+++ debathena-finger-10.0.2/debian/control.in
@@ -0,0 +1,15 @@
+Source: debathena-finger
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev
+Standards-Version: 3.7.2
+
+Package: debathena-finger
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libzephyr4-krb5 | libzephyr3-krb
+Description: The Athena version of the normal finger utility
+ The finger command displays information about local and remote users in 
+ a convenient format.  The Athena version contains improvements to 
+ locate Athena users and knows about the Athena-specific user database 
+ features.
--- debathena-finger-10.0.2.orig/debian/copyright
+++ debathena-finger-10.0.2/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-finger-10.0.2.orig/debian/rules
+++ debathena-finger-10.0.2/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-hesiod --with-zephyr
+
+common-install-impl::
+	mv $(DEB_DESTDIR)/usr/bin/finger $(DEB_DESTDIR)/usr/bin/finger.debathena
+
+clean::
+	rm -f configure
--- debathena-finger-10.0.2.orig/debian/changelog
+++ debathena-finger-10.0.2/debian/changelog
@@ -0,0 +1,92 @@
+debathena-finger (10.0.2-0debathena1) karmic; urgency=low
+
+  * Change ^ 100 to ^ 0100, since this code appears to be intended to do
+    something to sanitize control characters. Setting bit 0100
+    (01000000) for characters under 32 converts them to the
+    corresponding uppercase ASCII letter (e.g., ^A to A); XORing them
+    with decimal 100 (01100100) is meaningless.
+  * Pass through characters that are not in the ASCII set unsanitized.
+    This allows .plans and .projects with UTF-8 text to be displayed.
+
+ -- Geoffrey Thomas <geofft@mit.edu>  Tue, 02 Feb 2010 22:06:04 -0500
+
+debathena-finger (10.0.1-0debathena3) unstable; urgency=low
+
+  * Prefer newer versions of the Kerberized zephyr libraries over older
+    ones.
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Jul 2009 13:49:30 -0400
+
+debathena-finger (10.0.1-0debathena2) unstable; urgency=low
+
+  * Drop unneeded build-dep on libzephyr3-krb.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Jul 2009 14:01:25 -0400
+
+debathena-finger (10.0.1-0debathena1) unstable; urgency=low
+
+  * Instead of explicitly linking against krb4, let libzephyr pull in
+    whatever it needs.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Jul 2009 13:09:58 -0400
+
+debathena-finger (10.0.0-0debathena4) unstable; urgency=low
+
+  * debathena-finger doesn't install a /usr/bin/finger, so it shouldn't
+    Provides: finger
+
+ -- Evan Broder <broder@mit.edu>  Sat, 07 Mar 2009 20:24:52 -0500
+
+debathena-finger (10.0.0-0debathena3) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 14:33:56 -0500
+
+debathena-finger (10.0.0-0debathena2) unstable; urgency=low
+
+  * Remove ancient finger.debathena diversion transition code.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 22 Apr 2008 05:57:08 -0400
+
+debathena-finger (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 15:55:44 -0400
+
+debathena-finger (9.4.10-0debathena5) unstable; urgency=low
+
+  * Changed finger to assume the -m option, since trying to match against
+    the users in the passwd file is nearly useless on Debian-Athena.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sun, 12 Aug 2007 01:45:34 -0400
+
+debathena-finger (9.4.10-0debathena4) unstable; urgency=low
+
+  * Don't undivert manpage because it was never diverted.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 21:42:21 -0400
+
+debathena-finger (9.4.10-0debathena3) unstable; urgency=low
+
+  * Undivert finger binary and manpage on upgrade from pre-9.4 versions.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 02:24:12 -0400
+
+debathena-finger (9.4.10-0debathena2) unstable; urgency=low
+
+  * Move finger to finger.debathena.
+  * Silence errors on failure to zlocate users.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 12 Jul 2007 22:53:41 -0400
+
+debathena-finger (9.4.10-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:07:48 -0500
